# Request a specific transaction from the blockchain

### Introduction <a href="#introduction" id="introduction"></a>

For illustration purposes, we’ll request a transaction in the blockchain using the cURL tool information on cURL: [***Wikipedia***](https://en.wikipedia.org/wiki/CURL)

The following code will retrieve a transaction from the SWT blockchain with the given TransactionID :22984327.1 on Mainnet.

We are using the “GetTransactionInfo()” function which is explained here: [***GetTransactionInfo***](https://docs.swttoken.com/api-reference/rest-api/gettransactioninfo)*.*

### Description of cURL parameters <a href="#description-of-curl-parameters" id="description-of-curl-parameters"></a>

X POST - type of HTTP request, in this case we use POST. More info here: [***Wikipedia***](https://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol#Request_methods)

-H “accept: application/json”

-H “Content-Type: application/json” - Specification for the transferred parameters and response to be in JSON format

-d {parameters} - With this key, we specify the data transferred with the request. Let’s look at them in more detail:

“authKey”: “” - Authorization key. Not used at present, should be passed “”

“networkAlias”: “MainNet” - We specify the network, where the request should be executed. Either TestNet or MainNet.

"Compressed": "true" - Here we specify the compression of the information that is send back to us.

“TransactionId”: "22984327.1" - We specify the transaction number which we want to retrieve from the blockchain

"methodApi": "GetBalance"

{% hint style="info" %}
**Warning**

For CMD to overlook quotation marks “ inside the request body since those are special characters, they should be escaped with the backward slash.
{% endhint %}

### Code <a href="#code" id="code"></a>

Let's try it out with the following code !

{% code overflow="wrap" %}

```bash
curl -X POST "http://176.113.80.7:62000/api/Monitor/GetTransactionInfo" -H "accept: application/json" -H "Content-Type: application/json" -d "{\"authKey\":\"\",\"networkAlias\":\"MainNet\", \"Compressed\": true, \"TransactionId\":\"22984327.1\",\"methodApi\":\"GetTransactionInfo\"}"
```

{% endcode %}

### Response <a href="#response" id="response"></a>

We get the following response from the REST API in JSON.

{% code overflow="wrap" %}

```json
{"transaction":
    {
        "id":"22984327.1",
        "fromAccount":"5B3YXqDTcWQFGAqEJQJP3Bg1ZK8FFtHtgCiFLT5VAxpe",
        "toAccount":"QTRbkssQSGLdKs94khX7i858YcBAhjg6wj48F7FTr8H",
        "time":"2023-11-27T06:40:32.372Z",
        "value":"334.5398402953732",
        "val":334.539840295373200000,
        "fee":"0.008740234375",
        "currency":"SWT",
        "innerId":10042,
        "index":0,"status":"Success",
        "transactionType":0,"transactionTypeDescription":"TT_Transfer",
        "blockNum":"22984327",
        "found":true,
        "userData":null,"signature":"",
        "extraFee":null,
        "bundle":null},
        "success":true,
        "message":null
    }
```

{% endcode %}

{% hint style="info" %}
**Info** \
In this example, we executed the retrieval of a transaction REST request to the SWT blockchain without any specialized development environment or additional tools.
{% endhint %}
